Bug 868275 - KeyError: None
KeyError: None
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:23b33b02a8bace822027a06ae02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 07:47 EDT by Petr Schindler
Modified: 2013-05-30 12:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (631 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: anaconda-tb (357.88 KB, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: product (6 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: type (9 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: environ (761 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: storage.log (160.87 KB, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: version (11 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: program.log (32.18 KB, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: anaconda.log (7.20 KB, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: syslog (121.00 KB, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: packaging.log (4.29 KB, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details
File: release (24 bytes, text/plain)
2012-10-19 07:47 EDT, Petr Schindler
no flags Details

  None (edit)
Description Petr Schindler 2012-10-19 07:47:20 EDT
Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 872, in _save_right_side
:    device_type = device_type_map[device_type]
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1781, in on_page_clicked
:    self._save_right_side(self._current_selector)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 119, in _onExpanded
:    cb(obj.get_child())
:KeyError: None
Comment 1 Petr Schindler 2012-10-19 07:47:22 EDT
Created attachment 629967 [details]
File: ifcfg.log
Comment 2 Petr Schindler 2012-10-19 07:47:25 EDT
Created attachment 629968 [details]
File: anaconda-tb
Comment 3 Petr Schindler 2012-10-19 07:47:27 EDT
Created attachment 629969 [details]
File: product
Comment 4 Petr Schindler 2012-10-19 07:47:29 EDT
Created attachment 629970 [details]
File: type
Comment 5 Petr Schindler 2012-10-19 07:47:33 EDT
Created attachment 629971 [details]
File: environ
Comment 6 Petr Schindler 2012-10-19 07:47:35 EDT
Created attachment 629972 [details]
File: storage.log
Comment 7 Petr Schindler 2012-10-19 07:47:37 EDT
Created attachment 629973 [details]
File: version
Comment 8 Petr Schindler 2012-10-19 07:47:39 EDT
Created attachment 629974 [details]
File: program.log
Comment 9 Petr Schindler 2012-10-19 07:47:41 EDT
Created attachment 629975 [details]
File: anaconda.log
Comment 10 Petr Schindler 2012-10-19 07:47:44 EDT
Created attachment 629976 [details]
File: syslog
Comment 11 Petr Schindler 2012-10-19 07:47:45 EDT
Created attachment 629977 [details]
File: hashmarkername
Comment 12 Petr Schindler 2012-10-19 07:47:47 EDT
Created attachment 629978 [details]
File: packaging.log
Comment 13 Petr Schindler 2012-10-19 07:47:49 EDT
Created attachment 629979 [details]
File: cmdline_file
Comment 14 Petr Schindler 2012-10-19 07:47:51 EDT
Created attachment 629980 [details]
File: release
Comment 15 Jesse Keating 2012-10-19 12:58:18 EDT
A bunch of code changed around here recently.  Best to try again with Beta TC5 when it becomes available.
Comment 16 Mukundan Ragavan 2012-10-20 13:13:41 EDT
Expanded on the "Unknown" node of partitions to see what it contained.

Went back to Fedora 18-Beta-TC6 node of partitions and anaconda crashed.


Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 17 David Lehman 2013-05-30 12:59:35 EDT
Fairly certain this was fixed for F18 if not for F18-Beta. Feel free to reopen if you see this in F19-Beta or later.

Note You need to log in before you can comment on or make changes to this bug.